DROP TABLE IF EXISTS todo;
CREATE TABLE todo
(
	id 			SERIAL PRIMARY KEY,
	title 		TEXT,
	importance	INTEGER,
	urgency 	INTEGER,
	deadline 	DATE,
	done 		TEXT
);
INSERT INTO todo(title, importance, urgency, deadline, done)
VALUES
('todo-1', 0, 0, '2026-10-01', 'N'),
('todo-2', 0, 1, '2026-10-02', 'Y'),
('todo-3', 1, 0, '2026-10-03', 'N'),
('todo-4', 1, 1, '2026-10-04', 'Y');

DROP TABLE IF EXISTS  task;
CREATE TABLE task
(
	id 			SERIAL PRIMARY KEY,
	todo_id 	INTEGER,
	title 		TEXT,
	deadline 	DATE,
	done 		TEXT
);
INSERT INTO task(todo_id,title,deadline,done) 
VALUES
(1, 'task1-1','2026-09-30','N'),
(2, 'task2-1',null,'N'),
(2, 'task2-2',null,'Y'),
(3, 'task3-1','2026-10-02','N'),
(3, 'task3-2',null,'N'),
(3, 'task3-3',null,'N');
